Home

HTTP API Console

v1.0.0
Base URL
https://stride.nownodes.io

Authentication

api-keyAuthapiKey

API Key: api-key in header

API Reference

Stride-Labs

Queries a list of CallbackData items.

GET
https://stride.nownodes.io/Stride-Labs/stride/icacallbacks/callback_data

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Response

200OK

A successful response.

default

An unexpected error response.

Queries a CallbackData by index.

GET
https://stride.nownodes.io/Stride-Labs/stride/icacallbacks/callback_data/{callbackKey}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

callbackKeystringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response.

Parameters queries the parameters of the module.

GET
https://stride.nownodes.io/Stride-Labs/stride/icacallbacks/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Queries a list of DepositRecord items.

GET
https://stride.nownodes.io/Stride-Labs/stride/records/deposit_record

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Response

200OK

A successful response.

default

An unexpected error response.

Queries a DepositRecord by id.

GET
https://stride.nownodes.io/Stride-Labs/stride/records/deposit_record/{id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

idstring<uint64>requiredpath

Response

200OK

A successful response.

default

An unexpected error response.

Queries a list of EpochUnbondingRecord items.

GET
https://stride.nownodes.io/Stride-Labs/stride/records/epoch_unbonding_record

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Response

200OK

A successful response.

default

An unexpected error response.

Queries a EpochUnbondingRecord by id.

GET
https://stride.nownodes.io/Stride-Labs/stride/records/epoch_unbonding_record/{epochNumber}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

epochNumberstring<uint64>requiredpath

Response

200OK

A successful response.

default

An unexpected error response.

Queries a list of UserRedemptionRecord items.

GET
https://stride.nownodes.io/Stride-Labs/stride/records/user_redemption_record

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Response

200OK

A successful response.

default

An unexpected error response.

Queries a UserRedemptionRecord by id.

GET
https://stride.nownodes.io/Stride-Labs/stride/records/user_redemption_record/{id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

idstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response.

Queries a list of UserRedemptionRecord items by chainId / userId pair.

GET
https://stride.nownodes.io/Stride-Labs/stride/records/user_redemption_record_for_user/{chainId}/{day}/{address}/{limit}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

chainIdstringrequiredpath
daystring<uint64>requiredpath
addressstringrequiredpath
limitstring<uint64>requiredpath
pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Response

200OK

A successful response.

default

An unexpected error response.

Queries a list of EpochTracker items.

GET
https://stride.nownodes.io/Stride-Labs/stride/stakeibc/epoch_tracker

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Response

200OK

A successful response.

default

An unexpected error response.

Queries a EpochTracker by index.

GET
https://stride.nownodes.io/Stride-Labs/stride/stakeibc/epoch_tracker/{epochIdentifier}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

epochIdentifierstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response.

Queries a list of HostZone items.

GET
https://stride.nownodes.io/Stride-Labs/stride/stakeibc/host_zone

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Response

200OK

A successful response.

default

An unexpected error response.

Queries a HostZone by id.

GET
https://stride.nownodes.io/Stride-Labs/stride/stakeibc/host_zone/{chain_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

chain_idstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response.

Queries a ICAAccount by index.

GET
https://stride.nownodes.io/Stride-Labs/stride/stakeibc/ica_account

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Queries a list of ModuleAddress items.

GET
https://stride.nownodes.io/Stride-Labs/stride/stakeibc/module_address/{name}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

namestringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response.

Queries a Validator by host zone.

GET
https://stride.nownodes.io/Stride-Labs/stride/stakeibc/validators/{chain_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

chain_idstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response.